using System.ComponentModel;
using System.Windows.Input;

namespace Valg.EVA.Skanning.Verify.Startup.VerifyBallotPaper
{
    public interface INavigateBallotsViewModel
    {
        IVerifyBallotPaperViewModel CurrentBallotPaperForVerify { get; set; }
        ICommand PreviousCommand { get; }
        ICommand SaveAndNextCommand { get; }
        bool IsPreviousButtonEnabled { get; }
        bool IsNextButtonEnabled { get; }
        void Reset(int boxId);
        void AdvanceToNextBallotPaper();
        void Preload(int[] ballotPaperIds);
        event PropertyChangedEventHandler PropertyChanged;
        void AdvanceToLastVerifiedBallotPaper();
    }
}
